<div class="container products row" infiniteScroll [infiniteScrollDistance]="2" [scrollWindow]="true" [infiniteScrollThrottle]="100" (scrolled)="onScrollDown()">
    <ng-container *ngIf="products.length != 0; else nothing">
        <div class="col-12 col-sm-6 col-md-6 col-lg-4 col-xl-3 product" *ngFor="let product of products">
            <app-product-card [data]="product"></app-product-card>
        </div>
    </ng-container>
    <ng-template #nothing>
        <p style="text-align: center;">Không Tìm Thấy Sản Phẩm Nào. Xem Thêm Sản Phẩm Tại <span
                style="color: dodgerblue; cursor: pointer;" routerLink="/products">Đây</span></p>
    </ng-template>
</div>